part of 'verify_otp_bloc.dart';

@freezed
class VerifyOtpEvent with _$VerifyOtpEvent {
  const factory VerifyOtpEvent.started() = _Started;
  const factory VerifyOtpEvent.cancelTimer() = _CancelTimer;
  const factory VerifyOtpEvent.resendRegister(String phoneNUmber) =
      _ResendRegister;

  const factory VerifyOtpEvent.resendForgot(String phoneNUmber) = _ResendForgot;

  const factory VerifyOtpEvent.ticked(int seconds) = _Ticked;

  const factory VerifyOtpEvent.verifyOtpReset(VerifyOtpCodeParams params) =
      _VerifyOtpReset;

  const factory VerifyOtpEvent.verifyOtpRegister(VerifyOtpCodeParams params) =
      _VerifyOtpRegister;
}
